> **Documentation Index:** Fetch the complete configuration index at https://yandex.com/dev/distribution/doc/dg-v2/en/llms.txt

# POST/creatives/

Registers or changes creative content.

## Request format {#input}

```
POST https://distribution.yandex.net/api/v2/creatives/
```


## Format of the request body {#request-body}

```json
{
  "clid": {integer},
  "form": {string},
  "text_data": [
    {string}
  ],
  "media_data": [
    {
      "media_url": {string},
      "media_url_file_type" : {string},
      "description": {string}
    }
  ],
  "description": {string}
}
      
```

## Parameters of the request body {#request-body-params}

**Required parameters**

 
These parameters correspond to fields from the creative content creation interface. You only have to fill in one of the `text_data` and `media_data` fields.
 
#|
||
`clid`
|
CLID for which the creative content will be registered.
||
||
`form`
|

Ad distribution format. Acceptable values:

- banner – a banner
- text-block – a text unit
- text-graphic-block – a text and image unit
- video – a video
- audio-rec – an audio recording
- live-video – a live video stream
- live-audio – a live audio stream

||
||
`text_data`
|
Creative text.
||
||
`media_data`
|
List of media items in the ad unit.
||
|| `media_url`	| Link to a media item. ||
|| `media_url_file_type`	| Media type. Possible values: ||
- image;
- video.
||
|| `description`	| Media data description. ||
||
`description`
|
Creative content description.
||
|#

**Optional parameters**

These parameters do not correspond to interface fields and are populated using default values.

#|
||
`service`
|
The service for which the creative content is registered. Only used if the creative content couldn't be identified from the CLID. For Yandex Market, for example, the value should be `market`.
||
||
`type`
|
Campaign type: `cpa, cpc, cpm, other`.
||
||
`token`
|
Creative content token. Pass the parameter to change the creative content.
||
||
`urls`
|
List of target links.
||
||
`okveds`
|
List of OKVED codes for what's being advertised.
||
||
`fias_region_list`
|
Unique FIAS IDs for display regions. If the array is empty, the display region is considered to be all of Russia.
||
||
`is_social`
|
Social ad flag.
||
||
`is_native`
|
Native ad flag.
||
|#

## Response format {#output-structure}

```json
{
  "data": {
    "clid": {integer},
    "service": {string},
    "type": {string},
    "token": {string},
    "form": {string},
    "urls": [
      {string}
    ],
    "okveds": [
      {string}
    ],
    "text_data": [
      {string}
    ],
    "media_data": [
      {
        "media_url": {string},
        "description": {string}
      }
    ],
    "description": {string},
    "is_social": {boolean},
    "is_native": {boolean}
  },
  "result": {string}
}      
```

## Response parameters {#spec-output}

#|
||
`clid`
|
CLID for which the creative content will be registered.
||
||
`service`
|
The service for which the creative content is registered. Only used if the creative content couldn't be identified from the CLID. For Yandex Market, for example, the value should be `market`.
||
||
`type`
|
Campaign type: `cpa, cpc, cpm, other`.
||
||
`urls`
|
List of target links.
||
||
`okveds`
|
List of OKVED codes for what's being advertised.
||
||
`fias_region_list`
|
Unique FIAS IDs for display regions. If the array is empty, the display region is considered to be all of Russia.
||
||
`is_social`
|
Social ad flag.
||
||
`is_native`
|
Native ad flag.
||
|#

## Example for JSON {#example-JSON}

Request:

```json
{
  "clid": 123456,
  "form": "banner",
  "text_data": [
    "Test content"
  ],
  "media_data": [
    {
      "media_url": "https://ya.cc/123123",
      "description": "Test media data"
    }
  ],
  "description": "Test description"
}     
      
```

Response:

```json
{
  "data": {
    "clid": 123456,
    "service": "market",
    "type": "other",
    "token": "4CQwVszL78Gt5cHA6pP",
    "form": "banner",
    "urls": [
      "https://market.yandex.ru/"
    ],
    "okveds": [
      "62.01"
    ],
    "text_data": [
      "Test content"
    ],
    "media_data": [
      {
        "media_url": "https://ya.cc/123123",
        "description": "Test media data"
      }
    ],
    "description": "Test description",
    "is_social": false,
    "is_native": false
  },
  "result": "ok"
}
      
```

